com.r3corda.core.node.services / TransactionStorage

# TransactionStorage

`interface TransactionStorage : ReadOnlyTransactionStorage`

Thread-safe storage of transactions.

### Inherited Properties

updates | `abstract val updates: <ERROR CLASS><SignedTransaction>` Get a synchronous Observable of updates. When observations are pushed to the Observer, the vault will already incorporate the update.

### Functions

addTransaction | `abstract fun addTransaction(transaction: SignedTransaction): Unit` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.

### Inherited Functions

getTransaction | `abstract fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.
track | `abstract fun track(): <ERROR CLASS><List<SignedTransaction>, <ERROR CLASS><SignedTransaction>>` Returns all currently stored transactions and further fresh ones.

### Inheritors

DBTransactionStorage | `class DBTransactionStorage : TransactionStorage`
PerFileTransactionStorage | `class PerFileTransactionStorage : TransactionStorage` File-based transaction storage, storing transactions per file.